Redmine - Defect #3675

"Migrate from trac" script does not output query lines
2009-07-27 10:38 - ento entotto

Status: Closed Start date: 2009-07-27
Priority: Low Due date:

Assignee: % Done: 0%
Category: Importers Estimated time: 1.00 hour
Target version: 0.9.1

Resolution: Fixed Affected version: 0.9.0
Description

When | run

$ rake redmine:migrate_from_trac RAILS_ENV="test"
it's supposed to output the following lines.

WARNING: a new project will be added to Redmine during this process.
Are you sure you want to continue ? [y/N]

However, in my environment, my terminal only displays the first line.
| suspect it's the same problem as described here

To fix it, either use puts instead of print or do STDOUT .flush after each print statement.

Ruby version 1.8.6 (1i686-darwin8.11.1)
RubyGems version 1.3.2

Rails version 2.1.2

Rake version 0.8.7

Redmine version 0.8.4

Database adapter sglite3

Associated revisions

Revision 3328 - 2010-01-17 13:00 - Jean-Philippe Lang
Adds a few STDOUT .flush to migration scripts (#3675).

History

#1 - 2010-01-17 12:53 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version set to 0.9.1

- Affected version (unused) set to 0.9.0

- Resolution set to Fixed

- Affected version set to 0.9.0

This should be fixed in r3328.
http://www.ruby-forum.com/topic/159728
https://www.redmine.org/projects/redmine/repository/svn/revisions/3328
http://www.tcpdf.org

